Bug 667022 (CVE-2010-3812) - CVE-2010-3812 webkit: Integer overflow in WebKit's handling of Text objects
Summary: CVE-2010-3812 webkit: Integer overflow in WebKit's handling of Text objects
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100101,reported=20100101,sou...
Depends On: 640385 640386 667027
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 05:30 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-07 07:04:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Huzaifa S. Sidhpurwala 2011-01-04 05:30:09 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3812 to
the following vulnerability:

Name: CVE-2010-3812
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3812
Assigned: 20101007
Reference: CONFIRM:http://support.apple.com/kb/HT4455
Reference: CONFIRM:http://support.apple.com/kb/HT4456 

Upstream:
Chrome Bug: http://code.google.com/p/chromium/issues/detail?id=57347
Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=46848
Trac: http://trac.webkit.org/changeset/68705

This is fixed in webkitgtk 1.2.6

Comment 1 Huzaifa S. Sidhpurwala 2011-01-04 05:54:29 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 2 errata-xmlrpc 2011-01-25 17:07:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.